Object Storage
Object Storage create Provider
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9_.-]+$1 <= length <= 64"aws" | "cloudflare-r2" | "scaleway" | "wasabi" | "digitalocean" | "backblaze" | "ovh" | "linode" | "storj" | "idrive" | "minio" | "rustfs" | "ceph" | "seaweedfs" | "garage" | "s3-compatible" | "notploy-internal""external" | "self-hosted" | "internal"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.createProvider" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "providerType": "aws", "category": "external", "config": {} }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage update Provider
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9_.-]+$1 <= length <= 64"aws" | "cloudflare-r2" | "scaleway" | "wasabi" | "digitalocean" | "backblaze" | "ovh" | "linode" | "storj" | "idrive" | "minio" | "rustfs" | "ceph" | "seaweedfs" | "garage" | "s3-compatible" | "notploy-internal""external" | "self-hosted" | "internal"1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.updateProvider" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "providerType": "aws", "category": "external", "config": {}, "objectStorageProviderId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage remove Provider
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.removeProvider" \ -H "Content-Type: application/json" \ -d '{ "objectStorageProviderId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage providers
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.providers"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage provider
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.provider?objectStorageProviderId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage descriptors
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.descriptors"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage provider Health
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.providerHealth?objectStorageProviderId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage test Connection
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= length"aws" | "cloudflare-r2" | "scaleway" | "wasabi" | "digitalocean" | "backblaze" | "ovh" | "linode" | "storj" | "idrive" | "minio" | "rustfs" | "ceph" | "seaweedfs" | "garage" | "s3-compatible" | "notploy-internal""external" | "self-hosted" | "internal"1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.testConnection" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage create Bucket
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9_.-]+$1 <= length <= 641 <= length1 <= length""""false[]Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.createBucket" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "objectStorageProviderId": "string", "bucket": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage update Bucket
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
^[a-zA-Z0-9_.-]+$1 <= length <= 641 <= length1 <= length""""false[]1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.updateBucket" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "objectStorageProviderId": "string", "bucket": "string", "objectStorageBucketId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage remove Bucket
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.removeBucket" \ -H "Content-Type: application/json" \ -d '{ "objectStorageBucketId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage buckets
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.buckets"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage bucket
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.bucket?objectStorageBucketId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage buckets By Provider
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/objectStorage.bucketsByProvider?objectStorageProviderId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Object Storage test Bucket
Authorization
apiKey API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/objectStorage.testBucket" \ -H "Content-Type: application/json" \ -d '{ "objectStorageBucketId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}